Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2074 - make-3.77-5 misses dependencies that worked fine with make-3.76.1-5
Summary: make-3.77-5 misses dependencies that worked fine with make-3.76.1-5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: make
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-09 01:08 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-03 18:43:48 UTC


Attachments (Terms of Use)
Makefile that demonstrates the problem (run make -j). (deleted)
1999-12-03 17:32 UTC, Aleksey Nogin
no flags Details

Description Aleksey Nogin 1999-04-09 01:08:20 UTC
When I use something like

---
all:
	...

include Makefile.dep

Makefile.dep: mk/config
	@touch Makefile.dep
	@$(MAKE) depend

depend: $(GENERATED_C_FILES)
	...

---
it was working fine with make-3.76.1-5 (RedHat 5.2), but
with make-3.77-5 (RedHat 5.9 SRPM compiled on RedHat 5.2)
"make all" seems to ignore dependencies that end up in
Makefile.dep

Comment 1 Jeff Johnson 1999-04-09 14:37:59 UTC
Have you tried moving the include Makefile.dep after the
other 2 rules?

Comment 2 Aleksey Nogin 1999-04-10 02:56:59 UTC
Oh, sorry, I didn't describe my Makefile accurately enough. In fact
"include Makefile.dep" does go after the rules. To describe it even
more accurately, in my Makefile I have

include $(ROOT)/mk/rules
include Makefile.dep

and mk/rules has the rules for Makefile.dep and for depend.

Comment 3 Brian Ryner 1999-04-13 18:39:59 UTC
From what I understand, make v3.77 has some brokenness issues with the
wildcard function.  It might not be a bad idea to return to the
previous 3.76 version.

Comment 4 Preston Brown 1999-04-13 21:02:59 UTC
Cristian:  should we revert?  A broken make in the distrib would be a
very bad thing.

Comment 5 Aleksey Nogin 1999-11-16 23:05:59 UTC
As far as I know, this problem still exists in RH 6.1

Comment 6 Aleksey Nogin 1999-11-22 23:20:59 UTC
As James Amundson <amundson@fnal.gov> (reporter of bug #7079) suggested, I tried
make 3.78.1. It does not seem to have this problem

Comment 7 Jeff Johnson 1999-12-03 16:36:59 UTC
Can you send a self contained example that demonstrates the problem? Without
a concrete example, we're probably never going to be able to close this bug :-)

Comment 8 Aleksey Nogin 1999-12-03 17:32:59 UTC
Created attachment 22 [details]
Makefile that demonstrates the problem (run make -j).

Comment 9 Aleksey Nogin 1999-12-03 17:45:59 UTC
If you run make, using the Makefile I've just attached, you'll get "This make
works correctly" printed. However, if you run "make -j", then you'll get "This
make works correctly" only from make-3.76.1, but not make-3.77. I haven't tested
this example with make 3.78.1, but I believe it should work.

Comment 10 Aleksey Nogin 1999-12-03 18:06:59 UTC
I tired make-3.78.1-1 from RawHide, it worked fine (on the test example).

Comment 11 Jeff Johnson 1999-12-03 18:41:59 UTC
Does "worked fine" mean I can close the bug or does it mean that the test case
exhibits the problem?


Note You need to log in before you can comment on or make changes to this bug.